Name:           pekwm
Version:        0.1.5
Release:        8%{?dist}
Summary:        The Pek Window Manager

Group:          User Interface/Desktops
# No version specified.
License:        GPL+
URL:            http://pekwm.org
Source0:        http://pekwm.org/files/%{name}-%{version}.tar.bz2
Source1:        %{name}.desktop
Source2:        pekwm-xdg-menu.py
Patch0:         pekwm_configure.patch
Patch2:         pekwm_menu.patch
Patch3:		pekwm-0.1.5-gcc43.patch

BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires:  libX11-devel, xorg-x11-proto-devel, libXft-devel,libXpm-devel
BuildRequires:  libXrandr-devel, libXinerama-devel, libpng-devel, libjpeg-devel
BuildRequires:  pcre-devel
Requires:       pyxdg, procps, xprop

%description
A lightweight window manager with tabs based on aewm++.

%prep
%setup -q
%patch0
%patch2
%patch3 -p1

sed -i s,"<BINDIR>",%{_bindir},g data/menu.in
sed -i s,"XftDrawString8","XftDrawStringUtf8", src/PFont.cc

%build
%configure --enable-shape \
           --enable-xinerama \
           --enable-xrandr \
           --enable-xft \
           --enable-image-xpm \
           --enable-image-jpeg \
           --enable-image-png  \
           --enable-menus \
           --enable-harbour \
           --enable-pcre \
           --x-includes=%{_includedir} \
           --x-libraries=%{_libdir} 

make %{?_smp_mflags}


%install
rm -rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT scriptsdir=%{_bindir}

mkdir -p $RPM_BUILD_ROOT%{_datadir}/xsessions/
install -m 0644 -p %SOURCE1 $RPM_BUILD_ROOT%{_datadir}/xsessions/
install -m 0755 -p %SOURCE2 $RPM_BUILD_ROOT%{_bindir}/pekwm-xdg-menu
%clean
rm -rf $RPM_BUILD_ROOT


%files
%defattr(-,root,root,755)
%doc AUTHORS ChangeLog
%{_bindir}/pekwm
%{_bindir}/pekwm-xdg-menu
%{_bindir}/pekwm_themeset.pl
%{_bindir}/pekwm_themeset.sh
%{_bindir}/pekwm_ws_menu.pl
%dir %{_datadir}/%{name}
%dir %{_datadir}/%{name}/themes/
%dir %{_datadir}/%{name}/themes/default
%{_datadir}/%{name}/themes/default/theme
%dir %{_sysconfdir}/%{name}
%{_datadir}/xsessions/%{name}.desktop
%config(noreplace) %attr(755,root,root) %{_sysconfdir}/%{name}/start
%config(noreplace) %{_sysconfdir}/%{name}/menu
%config(noreplace) %{_sysconfdir}/%{name}/keys
%config(noreplace) %{_sysconfdir}/%{name}/autoproperties
%config(noreplace) %{_sysconfdir}/%{name}/config
%config(noreplace) %{_sysconfdir}/%{name}/mouse
%config(noreplace) %{_sysconfdir}/%{name}/vars


%changelog
* Wed Sep 17 2008 Matt Domsch <mdomsch@fedoraproject.org> - 0.1.5-8
- fix FTBFS BZ#434089

* Thu Aug 28 2008 Tom "spot" Callaway <tcallawa@redhat.com> - 0.1.5-7
- fix license tag

* Mon Feb 18 2008 Fedora Release Engineering <rel-eng@fedoraproject.org> - 0.1.5-6
- Autorebuild for GCC 4.3

* Tue Oct 17 2006 Michael Rice <errr[AT]errr-online.com> - 0.1.5-5
- Add UTF-8 support per: 
    http://adresh.com/pekwm/dev_docs/html/faq/answers.html#FAQ-1546

* Tue Oct 17 2006 Michael Rice <errr[AT]errr-online.com> - 0.1.5-4
- Add dir datadir/name/themes/ for ownership
- Add BR for pcre
- Add Requires for use of pkill in a provided script
- Change summary & add a . to the description
- Change Requires to xprop and not xorg-x11-utils

* Mon Oct 16 2006 Michael Rice <errr[AT]errr-online.com> - 0.1.5-3
- Move default configs into sysconfdir
- Fix double listing of sysconf stuff
- Place all scripts into bindir
- fix typo in menu_patch

* Fri Oct 13 2006 Michael Rice <errr[AT]errr-online.com> - 0.1.5-2
- Add fedora compliant menu generator.
- Remake provided menu to use the pekwm-xdg-menu
- Add requires for pyxdg
- Rebuilt with pcre
- Add BR for jpeg, png, and xinerama

* Mon Oct 09 2006 Michael Rice <errr[AT]errr-online.com> - 0.1.5-1
- Initial RPM release
